Name:           freedv
Version:        1.4
%define subrel  1
Release:        %mkrel 4
Summary:        Digital Voice for Amateur Radio
Group:          Communications/Radio
License:        GPLv2+
URL:            http://freedv.org
# http://files.freedv.org/freedv
# https://groups.google.com/forum/#!forum/digitalvoice
Source0:        https://github.com/drowe67/%{name}-gui/archive/v%{version}/%{name}-%{version}.tar.gz

Source1:        %{name}48x48.png
Source2:        %{name}64x64.png
Source3:        %{name}128x128.png
Source4:        %{name}256x256.png

# Some improvements since 1.4 rel
Patch0:         freedv-master.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(codec2) >= 0.9.2
BuildRequires:  pkgconfig(hamlib) >= 4.1
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sox)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  wxgtk-devel >= 3.0
BuildRequires:  desktop-file-utils
BuildRequires:  lpcnetfreedv-devel >= 0.2

%description
FreeDV is a GUI application that allows any SSB radio to
be used for low bit rate digital voice.

Speech is compressed down to 1400 bit/s then modulated onto a 1100 Hz wide QPSK
signal which is sent to the Mic input of a SSB radio. On receive, the signal is
received by the SSB radio, then demodulated and decoded by FreeDV.

FreeDV was built by an international team of Radio Amateurs working together on
coding, design, user interface and testing. FreeDV is open source software,
released under the GNU Public License version 2.1. The FDMDV modem and Codec 2
Speech codec used in FreeDV are also open source.

%prep
%autosetup -p1 -n freedv-gui-%{version}

%build
%cmake \
  -DUSE_STATIC_CODEC2=FALSE \
  -DUSE_STATIC_SPEEXDSP=FALSE

%cmake_build

%install
%cmake_install

# Tweak upstream desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    --remove-category='GTK' \
    --remove-category='GNOME' \
    --add-category='X-Mageia-CrossDesktop' \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README.md USER_MANUAL.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Jan 05 2022 wally <wally> 1.4-4.1.mga8
+ Revision: 1766970
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 1.4-4.mga8
+ Revision: 1667699
- rebuild for wxgtk pre 3.1.5 snapshot

* Sat Oct 31 2020 barjac <barjac> 1.4-3.mga8
+ Revision: 1640761
- rebuild for hamlib-4.1

* Tue Sep 01 2020 barjac <barjac> 1.4-2.mga8
+ Revision: 1620702
- Correct Source0

* Mon Aug 31 2020 barjac <barjac> 1.4-1.mga8
+ Revision: 1620537
- new version 1.4 syncd with Fedora
- new BR lpcnetfreedv-devel
- updated required versions od some BRs
- Fd patch to recent master
- changed source0 to match compression
- Updated docs and used %%licence macro
- rebuild for codec2-0.9.2

* Sun Aug 16 2020 wally <wally> 1.3.1-8.mga8
+ Revision: 1614338
- rebuild for new wxgtk 3.1.4

* Thu Feb 20 2020 umeabot <umeabot> 1.3.1-7.mga8
+ Revision: 1546338
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 1.3.1-6.mga8
+ Revision: 1486358
- rebuild for hamlib-4.0
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 wally <wally> 1.3.1-5.mga8
+ Revision: 1459462
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 1.3.1-4.mga8
+ Revision: 1419527
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 1.3.1-3.mga8
+ Revision: 1419388
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1297768
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 barjac <barjac> 1.3.1-1.mga7
+ Revision: 1235269
- new version 1.3.1
  fix Source0
  fix files list

* Thu Dec 21 2017 barjac <barjac> 1.2.2-2.mga7
+ Revision: 1183731
- rebuild for arm & add codec2 >= 0.7

* Thu Dec 21 2017 barjac <barjac> 1.2.2-1.mga7
+ Revision: 1183714
- new version 1.2.2

* Sat Jun 03 2017 akien <akien> 1.1-5.mga6
+ Revision: 1106092
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.1-4.mga6
+ Revision: 1019811
- rebuild for wxgtk3.0 built with GTK2

* Sun Feb 14 2016 umeabot <umeabot> 1.1-2.mga6
+ Revision: 960114
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 barjac <barjac> 1.1-1.mga6
+ Revision: 897724
- new version 1.1

* Mon Sep 14 2015 daviddavid <daviddavid> 1.0-2.mga6
+ Revision: 879280
- rebuild for new sox 14.4.2

* Mon Aug 24 2015 barjac <barjac> 1.0-1.mga6
+ Revision: 869173
- new version 1.0
- new BR speexdsp
- added cmake options to use system speex and codec2
- fix doc files list

* Fri Aug 14 2015 ycantin <ycantin> 0.97.0-3.mga6
+ Revision: 864693
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 akien <akien> 0.97.0-2.mga6
+ Revision: 856365
- Rebuild for wxgtk with gtk3

* Sat Feb 07 2015 barjac <barjac> 0.97.0-1.mga5
+ Revision: 814001
- Adapt for Mageia
- Import freedv with thanks to Fedora

